# Collator::getErrorMessage

# collator_get_error_message

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

Collator::getErrorMessage -- collator_get_error_message — Get text for collator's last error code

### Description

Object oriented style

public Collator::getErrorMessage ( void ) : string

Procedural style

collator_get_error_message ( Collator `$coll` ) : string

Retrieves the message for the last error.

### Parameters

`coll`

  Collator object.

### Return Values

Description of an error occurred in the last Collator API function call.

### Examples

Example #1 collator_get_error_message() example

`<?php
$coll = collator_create( 'lt' );
if( collator_compare( $coll, 'y', 'k' ) === false ) {
echo collator_get_error_message( $coll );
}
?>`

### See Also

- collator_get_error_code() - Get collator's last error code